svn commit: r209752 - head/usr.sbin/pc-sysinstall/backend-query

Warner Losh imp at FreeBSD.org
Tue Jul 6 23:31:53 UTC 2010


Author: imp
Date: Tue Jul  6 23:31:52 2010
New Revision: 209752
URL: http://svn.freebsd.org/changeset/base/209752

Log:
  These files should have been added/deleted in r209751

Added:
  head/usr.sbin/pc-sysinstall/backend-query/detect-emulation.sh   (contents, props changed)
Deleted:
  head/usr.sbin/pc-sysinstall/backend-query/detect-vmware.sh

Added: head/usr.sbin/pc-sysinstall/backend-query/detect-emulation.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/usr.sbin/pc-sysinstall/backend-query/detect-emulation.sh	Tue Jul  6 23:31:52 2010	(r209752)
@@ -0,0 +1,41 @@
+#!/bin/sh
+#-
+# Copyright (c) 2010 iXsystems, Inc.  All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+
+case "$(kenv smbios.system.product)" in
+VirtualBox)
+  echo "emulation: VIRTUALBOX"
+  exit 0
+  ;;
+VMware*)
+  echo "emulation: VMWARE"
+  exit 0
+  ;;
+*)
+  echo "emulation: NO" 
+  exit 1 
+  ;;
+esac


More information about the svn-src-all mailing list